// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_slimefalls/sf1_skybox
{
	qer_editorimage env/ut4_slimefalls/interstellar_ft.tga
	skyparms env/ut4_slimefalls/interstellar 512 -

	q3map_sunEXT 1.0 0.82 0.733 800 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 400 3
	q3map_globaltexture
	q3map_backsplash 0 0	
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Floor grate ===---

textures/ut4_slimefalls/sf1_floor_grate
{
	qer_editorimage textures/ut4_slimefalls/grate_metal01d.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm nodamage
	cull none
	nopicmip

	{
		map textures/ut4_slimefalls/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_slimefalls/sf1_floor_metal1
{
	qer_editorimage textures/ut4_slimefalls/pr_metal091.jpg
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_slimefalls/pr_metal091.jpg
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_slimefalls/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_slimefalls/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}


// ---=== Ladder ===---

textures/ut4_slimefalls/sf1_ladder
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_slimefalls/sf1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none

	{
		map textures/ut4_slimefalls/kw_glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== No Damage Textures ===--- 

textures/ut4_slimefalls/bbq_dirt05gras:q3map
{
	surfaceparm nodamage
}

textures/ut4_slimefalls/bbq_graywood:q3map
{
	surfaceparm nodamage
}

// ---=== Lighted Textures ===---

textures/ut4_slimefalls/e6basicstrip_blue
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_blue.tga
	}
}

textures/ut4_slimefalls/e6basicstrip_green
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_green.tga
	}
}

textures/ut4_slimefalls/e6basicstrip_orange
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_orange.tga
	}
}

textures/ut4_slimefalls/e6basicstrip_purple
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_purple.tga
	}
}

textures/ut4_slimefalls/e6basicstrip_red
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_red.tga
	}
}

textures/ut4_slimefalls/e6basicstrip_white
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_white.tga
	}
}

textures/ut4_slimefalls/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_slimefalls/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_slimefalls/e6basicstrip_yellow.tga
	}
}

textures/ut4_slimefalls/e8minitrimlight
{
	qer_editorimage textures/ut4_slimefalls/e8minitrimlight.tga
	q3map_lightimage textures/ut4_slimefalls/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_slimefalls/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_slimefalls/e8minitrimlight.blend.tga
		blendfunc add
	}
}

// ---=== Water ===---

textures/ut4_slimefalls/sf1_watercaulk
{
	qer_editorimage textures/kittywumpus/kw_watercaulk.jpg
	qer_trans 0.3
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
	surfaceparm noimpact
}

textures/ut4_slimefalls/sf1_waterflow
{
	q3map_globaltexture
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_slimefalls/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_slimefalls/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_slimefalls/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_slimefalls/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_slimefalls/sf1_waterflow2
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_slimefalls/duck_pool5.tga

	{
		map textures/ut4_slimefalls/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

// ---=== Low Flow Water ===---

textures/ut4_slimefalls/sf1_waterflow2a
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_slimefalls/duck_pool5.tga

	deformVertexes bulge 4 4 .5
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_slimefalls/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

//	*********************************************************
//	*      Medium clear ripple water. Created September 9	*
//	*********************************************************
textures/ut4_slimefalls/sf1_clear_ripple3
{
	qer_editorimage textures/ut4_slimefalls/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_slimefalls/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_slimefalls/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_slimefalls/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_slimefalls/sf1_foamwater1
{
	qer_editorimage textures/ut4_slimefalls/clearfoam_water.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	//surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/ut4_slimefalls/clearfoam_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.09 0.07 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

// ---=== SLIME!!! ===---

textures/ut4_slimefalls/sf1_slimecaulk
{
	qer_editorimage textures/kittywumpus/kw_slimecaulk.jpg
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm detail
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm slime
}

textures/ut4_slimefalls/sf1_slime
{
	qer_editorimage textures/ut4_slimefalls/slime_grn.tga
	q3map_lightimage textures/ut4_slimefalls/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_slimefalls/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_slimefalls/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

// ---=== Slimefall ===---

textures/ut4_slimefalls/sf1_slimefall1
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.4
	qer_editorimage textures/ut4_slimefalls/slime_grn.tga

	deformVertexes bulge 4 4 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_slimefalls/sf1_slimeflow
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.4
	qer_editorimage textures/ut4_slimefalls/slime_grn.tga

	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.5
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/slime_grnc.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_slimefalls/slime_grn.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== SOC textures ===---

textures/ut4_slimefalls/sf1_grate1b_trans
{
	qer_editorimage textures/ut4_slimefalls/soc_grate1b.tga
	surfaceparm	metalsteps		
	cull none
	{
		map textures/ut4_slimefalls/soc_grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/ut4_slimefalls/sf1_lig_05b1-2k
{
	qer_editorimage textures/ut4_slimefalls/soc_032lig20ba.tga
	q3map_lightimage textures/ut4_slimefalls/soc_032lig20b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_slimefalls/soc_032lig20ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_slimefalls/soc_032lig20b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_slimefalls/sf1_lig_05r1-2k
{
	qer_editorimage textures/ut4_slimefalls/soc_032lig20ra.tga
	q3map_lightimage textures/ut4_slimefalls/soc_032lig20r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_slimefalls/soc_032lig20ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_slimefalls/soc_032lig20r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_slimefalls/sf1_lig_128-03b1-2k
{
	qer_editorimage textures/ut4_slimefalls/soc_octlig01ba.tga
	q3map_lightimage textures/ut4_slimefalls/soc_sqrlig02b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_slimefalls/soc_octlig01ba.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_slimefalls/soc_sqrlig02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

textures/ut4_slimefalls/sf1_lig_128-03r1-2k
{
	qer_editorimage textures/ut4_slimefalls/soc_octlig01ra.tga
	q3map_lightimage textures/ut4_slimefalls/soc_sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_slimefalls/soc_octlig01ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_slimefalls/soc_sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}

// ---=== FIRE! ===---

textures/ut4_slimefalls/sf1_flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 7500
	

	{
		animMap 10 textures/ut4_slimefalls/flame1.tga textures/ut4_slimefalls/flame2.tga textures/ut4_slimefalls/flame3.tga textures/ut4_slimefalls/flame4.tga textures/ut4_slimefalls/flame5.tga textures/ut4_slimefalls/flame6.tga textures/ut4_slimefalls/flame7.tga textures/ut4_slimefalls/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_slimefalls/flame2.tga textures/ut4_slimefalls/flame3.tga textures/ut4_slimefalls/flame4.tga textures/ut4_slimefalls/flame5.tga textures/ut4_slimefalls/flame6.tga textures/ut4_slimefalls/flame7.tga textures/ut4_slimefalls/flame8.tga textures/ut4_slimefalls/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_slimefalls/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}
// ---=== Evil Texts ===---
 
// ---=== mrcleantex shaders ===---

textures/ut4_slimefalls/sf1_stainls_pnl_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_pnl.tga

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_pnl.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_slimefalls/sf1_stainls_trim_02_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_trim_02.tga

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_trim_02.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_slimefalls/sf1_stainls_trim_01_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_trim_01.tga

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_trim_01.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_slimefalls/sf1_stainls_rib_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_rib.tga

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_rib.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_slimefalls/sf1_stainls_rib2_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_rib2.tga

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_slimefalls/sf1_stainls_rib2_grt_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_rib2_grt.tga

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_grt.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_slimefalls/sf1_stainls_rib2_red_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_rib2_red.tga
	q3map_lightimage textures/ut4_slimefalls/mrtx_stainls_rib2_red.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_red.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_slimefalls/sf1_stainls_rib2_blu_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_rib2_blu.tga
	q3map_lightimage textures/ut4_slimefalls/mrtx_stainls_rib2_blu.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_blu.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_blu.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_slimefalls/sf1_stainls_rib2_grn_shiny
{
	qer_editorimage textures/ut4_slimefalls/mrtx_stainls_rib2_grn.tga
	q3map_lightimage textures/ut4_slimefalls/mrtx_stainls_rib2_grn.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_slimefalls/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_grn.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_slimefalls/mrtx_stainls_rib2_grn.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
